- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NEDFileCache Class Reference
[Controlling the compilation process]

`#include <nedcompiler.h>`

List of all members.

## Detailed Description

Caches NED files already loaded.

To be used with NEDCompiler. A NEDFileCache instance can be reused when compiling several independent files in a row.

## Public Member Functions
| NEDFileCache ()
| ~NEDFileCache ()
void | addFile (const char *name, NEDElement *node)
NEDElement * | getFile (const char *name)
## Protected Attributes
NEDMap | importedfiles

## Constructor & Destructor Documentation

NEDFileCache::NEDFileCache | ( |  | ) |

| Constructor.

NEDFileCache::~NEDFileCache | ( |  | ) |

| Destructor.

## Member Function Documentation

void NEDFileCache::addFile | ( | const char * | name,
|  | NEDElement * | node
| ) |

| Add a file (parsed into an object tree) to the cache.

NEDElement* NEDFileCache::getFile | ( | const char * | name | ) |

| Get a file (represented as object tree) from the cache.

## Member Data Documentation

NEDMap NEDFileCache::importedfiles`[protected]`

The documentation for this class was generated from the following file:

- nedcompiler.h